Bug 5857 - longoverdue.pl really needs a "quiet" mode.
Summary: longoverdue.pl really needs a "quiet" mode.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: D Ruth Bavousett
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 08:36 UTC by D Ruth Bavousett
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.18 KB, patch)
2011-03-29 01:27 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description D Ruth Bavousett 2011-03-13 08:36:26 UTC
longoverdue.pl, when run normally, will spit out a summary of actions it took.  This is fine, but not needed when it is run in cron; we'd really like to only get a message when something goes wrong.

Naturally, if $verbose is set, you'd want to override this switch and force maximum output.
Comment 1 Ian Walls 2011-03-29 01:27:35 UTC
Created attachment 3486 [details] [review]
Proposed patch
Comment 2 Chris Cormack 2011-04-01 08:22:45 UTC
Pushed please test